DRUO
Get started
Payments

Get Payment

GEThttps://api.druo.com/payments/{transaction_uuid}

Retrieve the details of an existing payment.

Retrieves the full transaction details for a specific payment using its unique transaction UUID.

Path parameters

transaction_uuidstringRequired

The unique identifier of the resource.

Response

uuidstringoptional

The transaction's unique UUID.

Example: trx_422f0f81-5001-4cce-a229-242d9ab9960a
codestringoptional

The transaction's short reference code.

Example: TXNMW9PCWE
statusstringoptional

The current status of the transaction.

Possible values:CREATEDPENDINGPROCESSINGSUCCESSFULREFUNDEDDISPUTEDFAILEDCANCELEDREVERSED
Example: SUCCESSFUL
tenantobjectoptional

The tenant that originated the transaction.

Example: {"uuid": "ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20"}
typestringoptional

The type of transaction.

Example: PAYMENT
creation_sourcestringoptional

The creation source channel of the transaction.

Example: MERCHANT_PORTAL
amountintegeroptional

The amount of money, in the smallest currency denomination (e.g., cents for USD).

Example: 10000
variable_feeintegeroptional

The variable fee amount charged for this transaction in the smallest currency denomination.

Example: 300
fixed_feeintegeroptional

The fixed fee amount charged for this transaction in the smallest currency denomination.

Example: 100
total_feeintegeroptional

The total fee amount charged for this transaction.

Example: 400
net_amountintegeroptional

The total net amount (amount minus total_fee) to be paid for this transaction.

Example: 9600
currencyobjectoptional

The transaction currency formatted in ISO 4217.

Example: {"code":"USD"}
descriptionstringoptional

The customer-facing description of this transaction.

Example: Insurance policy renewal - INV12324
remarksstringoptional

Internal remarks or notes associated with the transaction.

Example: REQUESTED_BY_MERCHANT\nOther values here.
funding_sourceobjectoptional

The funding source account used to pay for this transaction.

Example: {"uuid": "acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340"}
statement_descriptorstringoptional

The value that will appear on your customers' statements. Must contain at least one letter and be between 4 and 22 characters.

Example: NOVO BILLING* INV12324
primary_referencestringoptional

An optional primary external ID associated with the transaction (maximum 40 characters).

Example: ABC123
secondary_referencestringoptional

An optional secondary external ID associated with the transaction (maximum 40 characters).

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

Key-value pairs containing custom metadata (up to 50 keys, names up to 40 characters, values up to 500 characters).

Example: {"order_id": "6735"}
decline_reasonstringoptional

The reason why a transaction was declined.

Example: INSUFFICCIENT_FUNDS
auto_send_receiptbooleanoptional

If true, the system will automatically generate and send a receipt using the preferred delivery method.

Example: false
due_datestringoptional

The transaction due date in ISO-8601 format.

Example: 2021-11-15
date_created_gmtstringoptional

The UTC timestamp of when the transaction was created.

Example: 2021-11-15T23:23:38
date_updated_gmtstringoptional

The UTC timestamp of when the transaction was last updated.

Example: 2021-11-15T23:23:38

Information regarding split payments or additional recipient transactions created.

Example: [{"tenant_id": "ten_82121783-2f4b-4f62-ad45-a32fbe4e86e7", "amount": "1000", "description": "Payout split by percentage", "uuid": "trx_d9c67ff8-8739-462a-9b6b-932d3805e2b3"}]
NextGETList Payments